package com.ejie.p06b.datatype.model;

import java.io.Serializable;

import com.ejie.p06b.general.P06BConstantes;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (24/05/07)
 */
public class P06B20T00Datatype implements Serializable {
	
	private String expedi = "";
	private String clase = "";
	private String dni = "";
	private String razsoc = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String domici = "";
	private String codmun = "";
	private String locali = "";
	private String codpro = "";
	private String codpst = "";
	private String telefot = "";
	private String telefom = "";
	private String telefoc = "";
	private String fax1 = "";
	private String fax2 = "";
	private String mail = "";
	private String web = "";
	private String curso = "";
	private String denCurso = "";
	private String acredita = "";
	private String dAcredita = "";
	private String estado = "";
	private String fechaAl = "";
	private String motivoB = "";
	private String fechaBaj = "";
	private String fechaSus = "";
	private String motivoS = "";
	private String fecFinSu = "";
	private String capsoc = "";
	private String paticipa = "";
	private String dProFor = "";
	private String actIns = "";
	private String trasdgs = "";
	private int ultEjerIncorporado;
	private int ejerDECAIncorporar;
	private int aprobado = 1;
	private P06B20T00Datatype datos20Originales;
	private int ultAtencPeticIncorporada;
	private int correlAtencionPeticionEnRevision;
	private P06B60T00Datatype datosCapacidadFinanciera;
	private P06B64T00Datatype datosUltimaAtencionRevisada;
	private P06B64T00Datatype datosAtencionPeticionEnRevision;
	private byte estadoAceptarPropuestas;
	private String tipoAtencionCliente = P06BConstantes.P06B_AC_PENDIENTEINFORMAR;
	
	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the capsoc.
	 */
	public String getCapsoc() {
		return capsoc;
	}
	/**
	 * @param capsoc The capsoc to set.
	 */
	public void setCapsoc(String capsoc) {
		this.capsoc = capsoc;
	}
	/**
	 * @return Returns the clase.
	 */
	public String getClase() {
		return clase;
	}
	/**
	 * @param clase The clase to set.
	 */
	public void setClase(String clase) {
		this.clase = clase;
	}
	/**
	 * @return Returns the codmun.
	 */
	public String getCodmun() {
		return codmun;
	}
	/**
	 * @param codmun The codmun to set.
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	/**
	 * @return Returns the codpro.
	 */
	public String getCodpro() {
		return codpro;
	}
	/**
	 * @param codpro The codpro to set.
	 */
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	/**
	 * @return Returns the codpst.
	 */
	public String getCodpst() {
		return codpst;
	}
	/**
	 * @param codpst The codpst to set.
	 */
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	/**
	 * @return Returns the dni.
	 */
	public String getDni() {
		return dni;
	}
	/**
	 * @param dni The dni to set.
	 */
	public void setDni(String dni) {
		this.dni = dni;
	}
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the estado.
	 */
	public String getEstado() {
		return estado;
	}
	/**
	 * @param estado The estado to set.
	 */
	public void setEstado(String estado) {
		this.estado = estado;
	}
	/**
	 * @return Returns the expedi.
	 */
	public String getExpedi() {
		return expedi;
	}
	/**
	 * @param expedi The expedi to set.
	 */
	public void setExpedi(String expedi) {
		this.expedi = expedi;
	}
	/**
	 * @return Returns the fax1.
	 */
	public String getFax1() {
		return fax1;
	}
	/**
	 * @param fax1 The fax1 to set.
	 */
	public void setFax1(String fax1) {
		this.fax1 = fax1;
	}
	/**
	 * @return Returns the fax2.
	 */
	public String getFax2() {
		return fax2;
	}
	/**
	 * @param fax2 The fax2 to set.
	 */
	public void setFax2(String fax2) {
		this.fax2 = fax2;
	}
	
	/**
	 * @return Returns the fechaBaj.
	 */
	public String getFechaBaj() {
		return fechaBaj;
	}
	/**
	 * @param fechaBaj The fechaBaj to set.
	 */
	public void setFechaBaj(String fechaBaj) {
		this.fechaBaj = fechaBaj;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	/**
	 * @return Returns the mail.
	 */
	public String getMail() {
		return mail;
	}
	/**
	 * @param mail The mail to set.
	 */
	public void setMail(String mail) {
		this.mail = mail;
	}
	/**
	 * @return Returns the motivoB.
	 */
	public String getMotivoB() {
		return motivoB;
	}
	/**
	 * @param motivoB The motivoB to set.
	 */
	public void setMotivoB(String motivoB) {
		this.motivoB = motivoB;
	}
	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	/**
	 * @return Returns the paticipa.
	 */
	public String getPaticipa() {
		return paticipa;
	}
	/**
	 * @param paticipa The paticipa to set.
	 */
	public void setPaticipa(String paticipa) {
		this.paticipa = paticipa;
	}
	/**
	 * @return Returns the razsoc.
	 */
	public String getRazsoc() {
		return razsoc;
	}
	/**
	 * @param razsoc The razsoc to set.
	 */
	public void setRazsoc(String razsoc) {
		this.razsoc = razsoc;
	}
	/**
	 * @return Returns the telefoc.
	 */
	public String getTelefoc() {
		return telefoc;
	}
	/**
	 * @param telefoc The telefoc to set.
	 */
	public void setTelefoc(String telefoc) {
		this.telefoc = telefoc;
	}
	/**
	 * @return Returns the telefom.
	 */
	public String getTelefom() {
		return telefom;
	}
	/**
	 * @param telefom The telefom to set.
	 */
	public void setTelefom(String telefom) {
		this.telefom = telefom;
	}
	/**
	 * @return Returns the telefot.
	 */
	public String getTelefot() {
		return telefot;
	}
	/**
	 * @param telefot The telefot to set.
	 */
	public void setTelefot(String telefot) {
		this.telefot = telefot;
	}
	/**
	 * @return Returns the trasdgs.
	 */
	public String getTrasdgs() {
		return trasdgs;
	}
	/**
	 * @param trasdgs The trasdgs to set.
	 */
	public void setTrasdgs(String trasdgs) {
		this.trasdgs = trasdgs;
	}
	
	/**
	 * @return Returns the web.
	 */
	public String getWeb() {
		return web;
	}
	/**
	 * @param web The web to set.
	 */
	public void setWeb(String web) {
		this.web = web;
	}
	
	/**
	 * @return Returns the curso.
	 */
	public String getCurso() {
		return curso;
	}
	/**
	 * @param curso The curso to set.
	 */
	public void setCurso(String curso) {
		this.curso = curso;
	}
	
	/**
	 * @return Returns the denCurso.
	 */
	public String getDenCurso() {
		return denCurso;
	}
	/**
	 * @param denCurso The denCurso to set.
	 */
	public void setDenCurso(String denCurso) {
		this.denCurso = denCurso;
	}
	
	/**
	 * @return Returns the acredita.
	 */
	public String getAcredita() {
		return acredita;
	}
	/**
	 * @param acredita The acredita to set.
	 */
	public void setAcredita(String acredita) {
		this.acredita = acredita;
	}
	
	/**
	 * @return Returns the dAcredita.
	 */
	public String getDAcredita() {
		return dAcredita;
	}
	/**
	 * @param dAcredita The dAcredita to set.
	 */
	public void setDAcredita(String dAcredita) {
		this.dAcredita = dAcredita;
	}
	
	/**
	 * @return Returns the fechaAl.
	 */
	public String getFechaAl() {
		return fechaAl;
	}
	/**
	 * @param fechaAl The fechaAl to set.
	 */
	public void setFechaAl(String fechaAl) {
		this.fechaAl = fechaAl;
	}
	
	/**
	 * @return Returns the fechaSus.
	 */
	public String getFechaSus() {
		return fechaSus;
	}
	/**
	 * @param fechaSus The fechaSus to set.
	 */
	public void setFechaSus(String fechaSus) {
		this.fechaSus = fechaSus;
	}
	
	/**
	 * @return Returns the motivoS.
	 */
	public String getMotivoS() {
		return motivoS;
	}
	/**
	 * @param motivoS The motivoS to set.
	 */
	public void setMotivoS(String motivoS) {
		this.motivoS = motivoS;
	}
	
	/**
	 * @return Returns the fecFinSu.
	 */
	public String getFecFinSu() {
		return fecFinSu;
	}
	/**
	 * @param fecFinSu The fecFinSu to set.
	 */
	public void setFecFinSu(String fecFinSu) {
		this.fecFinSu = fecFinSu;
	}

	/**
	 * @return Returns the dProFor.
	 */
	public String getDProFor() {
		return dProFor;
	}
	/**
	 * @param dProFor The dProFor to set.
	 */
	public void setDProFor(String dProFor) {
		this.dProFor = dProFor;
	}
	
	/**
	 * @return Returns the actIns.
	 */
	public String getActIns() {
		return actIns;
	}
	/**
	 * @param actIns The actIns to set.
	 */
	public void setActIns(String actIns) {
		this.actIns = actIns;
	}
	
	/**
	 * @return the ultEjerIncorporado
	 */
	public int getUltEjerIncorporado() {
		return ultEjerIncorporado;
	}
	/**
	 * @param ultEjerIncorporado the ultEjerIncorporado to set
	 */
	public void setUltEjerIncorporado(int ultEjerIncorporado) {
		this.ultEjerIncorporado = ultEjerIncorporado;
	}
	/**
	 * @return the ejerDECAIncorporar
	 */
	public int getEjerDECAIncorporar() {
		return ejerDECAIncorporar;
	}
	/**
	 * @param ejerDECAIncorporar the ejerDECAIncorporar to set
	 */
	public void setEjerDECAIncorporar(int ejerDECAIncorporar) {
		this.ejerDECAIncorporar = ejerDECAIncorporar;
	}
	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}
	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}
	/**
	 * @return the datos20Originales
	 */
	public P06B20T00Datatype getDatos20Originales() {
		return datos20Originales;
	}
	/**
	 * @param datos20Originales the datos20Originales to set
	 */
	public void setDatos20Originales(P06B20T00Datatype datos20Originales) {
		this.datos20Originales = datos20Originales;
	}
	/**
	 * @return the ultAtencPeticIncorporada
	 */
	public int getUltAtencPeticIncorporada() {
		return ultAtencPeticIncorporada;
	}
	/**
	 * @param ultAtencPeticIncorporada the ultAtencPeticIncorporada to set
	 */
	public void setUltAtencPeticIncorporada(int ultAtencPeticIncorporada) {
		this.ultAtencPeticIncorporada = ultAtencPeticIncorporada;
	}
//	/**
//	 * @return the aceptarPropuestasModTramitagune
//	 */
//	public int getAceptarPropuestasModTramitagune() {
//		return aceptarPropuestasModTramitagune;
//	}
//	/**
//	 * @param aceptarPropuestasModTramitagune the aceptarPropuestasModTramitagune to set
//	 */
//	public void setAceptarPropuestasModTramitagune(
//			int aceptarPropuestasModTramitagune) {
//		this.aceptarPropuestasModTramitagune = aceptarPropuestasModTramitagune;
//	}

	/**
	 * @return the estadoAceptarPropuestas
	 */
	public byte getEstadoAceptarPropuestas() {
		return estadoAceptarPropuestas;
	}
	/**
	 * @param estadoAceptarPropuestas the estadoAceptarPropuestas to set
	 */
	public void setEstadoAceptarPropuestas(byte estadoAceptarPropuestas) {
		this.estadoAceptarPropuestas = estadoAceptarPropuestas;
	}
	
	
	/**
	 * @return the correlAtencionPeticionEnRevision
	 */
	public int getCorrelAtencionPeticionEnRevision() {
		return correlAtencionPeticionEnRevision;
	}
	/**
	 * @param correlAtencionPeticionEnRevision the correlAtencionPeticionEnRevision to set
	 */
	public void setCorrelAtencionPeticionEnRevision(
			int correlAtencionPeticionEnRevision) {
		this.correlAtencionPeticionEnRevision = correlAtencionPeticionEnRevision;
	}
	/**
	 * @return the datosCapacidadFinanciera
	 */
	public P06B60T00Datatype getDatosCapacidadFinanciera() {
		return datosCapacidadFinanciera;
	}
	/**
	 * @param datosCapacidadFinanciera the datosCapacidadFinanciera to set
	 */
	public void setDatosCapacidadFinanciera(
			P06B60T00Datatype datosCapacidadFinanciera) {
		this.datosCapacidadFinanciera = datosCapacidadFinanciera;
	}
	/**
	 * @return the datosUltimaAtencionRevisada
	 */
	public P06B64T00Datatype getDatosUltimaAtencionRevisada() {
		return datosUltimaAtencionRevisada;
	}
	/**
	 * @param datosUltimaAtencionRevisada the datosUltimaAtencionRevisada to set
	 */
	public void setDatosUltimaAtencionRevisada(P06B64T00Datatype datosUltimaAtencionRevisada) {
		this.datosUltimaAtencionRevisada = datosUltimaAtencionRevisada;
	}
	/**
	 * @return the datosAtencionPeticionEnRevision
	 */
	public P06B64T00Datatype getDatosAtencionPeticionEnRevision() {
		return datosAtencionPeticionEnRevision;
	}
	/**
	 * @param datosAtencionPeticionEnRevision the datosAtencionPeticionEnRevision to set
	 */
	public void setDatosAtencionPeticionEnRevision(
			P06B64T00Datatype datosAtencionPeticionEnRevision) {
		this.datosAtencionPeticionEnRevision = datosAtencionPeticionEnRevision;
	}
	/**
	 * @return the tipoAtencionCliente
	 */
	public String getTipoAtencionCliente() {
		return tipoAtencionCliente;
	}
	/**
	 * @param tipoAtencionCliente the tipoAtencionCliente to set
	 */
	public void setTipoAtencionCliente(String tipoAtencionCliente) {
		this.tipoAtencionCliente = tipoAtencionCliente;
	}

	
	
}
